import React, { Component } from 'react';
class NewFooter extends Component {
  constructor(props) {
    super(props)
    this.state={
      forge_footer: undefined
    }
  }
  componentDidMount() {
    //获取游览器地址
    try {
      var chromesettingArray = JSON.parse(localStorage.getItem('chromesetting'));
      this.setState({
        forge_footer: chromesettingArray.footer
      })
    } catch (e) {
    }
  }
  showhtml=(htmlString)=>{
    var html = {__html:htmlString};
    return   <div dangerouslySetInnerHTML={html}></div> ;
  }

  render() {
    const {forge_footer} = this.state;
    return (
      <div className="newFooter edu-txt-center ">
        {
          forge_footer && this.showhtml(forge_footer)
        }
      </div>
    );
  }
}

export default NewFooter;
